Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.apps.groupspace.search.utils
Enum ExpressionBuilder.CountCriteria

    java.lang.Object
      java.lang.Enum<ExpressionBuilder.CountCriteria>
          com.bea.apps.groupspace.search.utils.ExpressionBuilder.CountCriteria

All Implemented Interfaces
  Serializable, Comparable<ExpressionBuilder.CountCriteria>

Enclosing class:
  ExpressionBuilder

    public static enum ExpressionBuilder.CountCriteria

extends Enum<ExpressionBuilder.CountCriteria>

Enum Constant Summary
`EQUALS`
`GE`
`GT`
`LE`
`LT`
`NOTEQUALS`

Method Summary
`static ExpressionBuilder.CountCriteria` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExpressionBuilder.CountCriteria[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LT

    public static final ExpressionBuilder.CountCriteria LT

### GT

    public static final ExpressionBuilder.CountCriteria GT

### LE

    public static final ExpressionBuilder.CountCriteria LE

### GE

    public static final ExpressionBuilder.CountCriteria GE

### EQUALS

    public static final ExpressionBuilder.CountCriteria EQUALS

### NOTEQUALS

    public static final ExpressionBuilder.CountCriteria NOTEQUALS

Method Detail

### values

    public static final ExpressionBuilder.CountCriteria[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static ExpressionBuilder.CountCriteria valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved